it.reply.healty.innovapuglia.mstaccuino.service.data

## Class CacheDataService

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.service.data.CacheDataService

-     public final class CacheDataService
      extends Object

  Classe che contiene tutti i valori presenti nelle varie caches applicative
  Author:
    Fabio Frijo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheDataService()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `existModalitaRilevazione(String id)` Controllo sull'esistenza dell'entity in base all'ID
    `static boolean` | `existsUnitaDiMisura(String id)` Controllo sull'esistenza dell'entity in base all'ID
    `static boolean` | `existTipoContatto(String id)` Controllo sull'esistenza dell'entity in base all'ID
    `static boolean` | `existTipoRilevazione(String id)` Controllo sull'esistenza dell'entity in base all'ID
    `static ModalitaRilevazione` | `getModalitaRilevazione(String id)` Restituisce l'entity in base all'ID
    `static TipoRilevazione` | `getTipoContatto(String id)` Restituisce l'entity in base all'ID
    `static TipoRilevazione` | `getTipoRilevazione(String id)` Restituisce l'entity in base all'ID
    `static UnitaDiMisura` | `getUnitaDiMisura(String id)` Restituisce l'entity in base all'ID
    `static void` | `initialize()` Questo metodo viene chiamato da `StaticObjectInitializer` e avvia il load della cache dal database

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheDataService

          public CacheDataService()

  - ### Method Detail

    - #### initialize

          public static void initialize()

      Questo metodo viene chiamato da `StaticObjectInitializer` e avvia il load della cache dal database

    - #### getTipoContatto

          public static TipoRilevazione getTipoContatto(String id)

      Restituisce l'entity in base all'ID
      Parameters:
        `id` - l'ID dell'entity da restituire
      Returns:
        L'entity o null in caso l'ID non sia presente nella cache

    - #### getUnitaDiMisura

          public static UnitaDiMisura getUnitaDiMisura(String id)

      Restituisce l'entity in base all'ID
      Parameters:
        `id` - l'ID dell'entity da restituire
      Returns:
        L'entity o null in caso l'ID non sia presente nella cache

    - #### getTipoRilevazione

          public static TipoRilevazione getTipoRilevazione(String id)

      Restituisce l'entity in base all'ID
      Parameters:
        `id` - l'ID dell'entity da restituire
      Returns:
        L'entity o null in caso l'ID non sia presente nella cache

    - #### getModalitaRilevazione

          public static ModalitaRilevazione getModalitaRilevazione(String id)

      Restituisce l'entity in base all'ID
      Parameters:
        `id` - l'ID dell'entity da restituire
      Returns:
        L'entity o null in caso l'ID non sia presente nella cache

    - #### existTipoRilevazione

          public static boolean existTipoRilevazione(String id)

      Controllo sull'esistenza dell'entity in base all'ID
      Parameters:
        `id` - l'ID dell'entity da restituire
      Returns:
        L'entity o null in caso l'ID non sia presente nella cache

    - #### existTipoContatto

          public static boolean existTipoContatto(String id)

      Controllo sull'esistenza dell'entity in base all'ID
      Parameters:
        `id` - l'ID dell'entity da restituire
      Returns:
        L'entity o null in caso l'ID non sia presente nella cache

    - #### existsUnitaDiMisura

          public static boolean existsUnitaDiMisura(String id)

      Controllo sull'esistenza dell'entity in base all'ID
      Parameters:
        `id` - l'ID dell'entity da restituire
      Returns:
        L'entity o null in caso l'ID non sia presente nella cache

    - #### existModalitaRilevazione

          public static boolean existModalitaRilevazione(String id)

      Controllo sull'esistenza dell'entity in base all'ID
      Parameters:
        `id` - l'ID dell'entity da restituire
      Returns:
        L'entity o null in caso l'ID non sia presente nella cache

Copyright © 2024. All rights reserved.